List tokens
curl --request GET \
--url https://api.launch.o1.exchange/v1/tokens \
--header 'x-api-key: <api-key>'import requests
url = "https://api.launch.o1.exchange/v1/tokens"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.launch.o1.exchange/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 127,
"image_url": "<string>"
},
"launch": {
"creator_address": "<string>",
"suite": {
"id": "<string>",
"version": "<string>"
},
"pool_id": "<string>",
"quote": {
"address": "<string>",
"symbol": "<string>",
"decimals": 127
},
"features": {
"allocations": true,
"vesting": true,
"editable_metadata": true
},
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"created_at": "2023-11-07T05:31:56Z",
"creation_fee": {
"amount_raw": "<string>",
"currency_address": "<string>",
"decimals": 127,
"symbol": "<string>"
}
},
"market_data": {
"price": {
"quote": 123,
"usd": 123
},
"market_cap": {
"quote": 123,
"usd": 123
},
"liquidity": {
"quote": 123,
"usd": 123
},
"activity": {
"1h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"6h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"24h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"lifetime": {
"trades": 123,
"volume_quote_raw": "1000000000000000000"
}
},
"last_trade_at": "2026-07-31T12:00:00.000Z",
"quote_price": {
"usd": 123,
"updated_at": "2026-07-31T12:00:00.000Z"
},
"observed_block": 123,
"confirmed_block": 123,
"updated_at": "2026-07-31T12:00:00.000Z"
}
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"limit": 2
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"warnings": [
"<string>"
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}Tokens
List tokens
Browse or search launchpad tokens by market, quote, creator, or ranking with cursor pagination.
GET
/
tokens
List tokens
Authorizations
Production API key beginning with o1_launch_.
Query Parameters
Production chain to query.
Available options:
8453, 4663 Example:
8453
Launch market to include.
Available options:
standard, rwa, all Opaque continuation cursor returned by the previous page. Do not parse or modify it.
Maximum string length:
4096Maximum number of resources to return.
Required range:
1 <= x <= 100Return tokens paired with this quote asset.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Return tokens created by this wallet. Supports sort=new only.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Search by token address, name, symbol, creator, pool ID, or launch transaction.
Required string length:
1 - 128Defaults to new for browsing and liquidity for search. Search supports liquidity only.
Available options:
new, trending, liquidity, market_cap, volume_24h Ranked sorts are descending. New listings also support ascending order.
Available options:
asc, desc ⌘I
